Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
sigaction Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
union {
_sig_func_ptr sa_handler
void(* sa_sigaction )(int, siginfo_t *, void *)
}; |
sigset_t | sa_mask
int | sa_flags

## Detailed Description

Definition at line 2225 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ @230

__extension__ { ... }

## ◆ sa_flags

int sigaction::sa_flags

Definition at line 2233 of file rb_mjit_min_header-2.7.0.h.

## ◆ sa_handler

_sig_func_ptr sigaction::sa_handler

Definition at line 2229 of file rb_mjit_min_header-2.7.0.h.

## ◆ sa_mask

sigset_t sigaction::sa_mask

Definition at line 2232 of file rb_mjit_min_header-2.7.0.h.

## ◆ sa_sigaction

void(* sigaction::sa_sigaction) (int, siginfo_t *, void *)

Definition at line 2230 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h